ReferenceDrive & Office API
Quick share
Upload files and get a share link in one step (they land in a "Quick share" folder).
| Method | Path | Summary |
|---|---|---|
| POST | /api/v2/quick-share | Quick share: start (where to upload), then finish (expiry + link) |
| POST | /api/v2/quick-share/:id | Change a quick share's link |
#Quick share: start (where to upload), then finish (expiry + link)
POST
/api/v2/quick-share- Address
https://<your-org>.brambleit.cloud/drive/api/v2/quick-share- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.
Request body JSON
| Name | Type | Description |
|---|---|---|
batch | any | |
name | string |
Response 200
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/drive/api/v2/quick-share' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"batch":"…","name":"Example name"}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/drive/api/v2/quick-share', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"batch":"…","name":"Example name"}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/drive/api/v2/quick-share",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"batch":"…","name":"Example name"},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"batch":"…","name":"Example name"}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/drive/api/v2/quick-share' -Headers $headers -ContentType 'application/json' -Body $body#Change a quick share's link
POST
/api/v2/quick-share/:id- Address
https://<your-org>.brambleit.cloud/drive/api/v2/quick-share/:id- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | number |
Request body JSON
| Name | Type | Description |
|---|---|---|
days | array of any | Days until it expires. |
password | any | A password (optional). |
allow_download | boolean | Let people download. |
Response 200
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/drive/api/v2/quick-share/12.5' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"days":[],"password":"…","allow_download":false}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/drive/api/v2/quick-share/12.5', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"days":[],"password":"…","allow_download":false}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/drive/api/v2/quick-share/12.5",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"days":[],"password":"…","allow_download":False},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"days":[],"password":"…","allow_download":false}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/drive/api/v2/quick-share/12.5' -Headers $headers -ContentType 'application/json' -Body $bodyWas this page helpful?
Thanks for your feedback.